using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PE;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("测量记录表")]
    public class T_PR_SURVEY_RECORD : MesEntityBase
    {
        [Description("测量时间")]
        public DateTime? TIME { get; set; }

        [Description("测量地点")]
        public string PLACE { get; set; }

        [Description("测量人员表")]
        public ICollection<T_PR_SURVEY_RECORD_USER> Nav_Users { get; set; }

        [Description("测量记录细表")]
        public ICollection<T_PR_SURVEY_RECORD_DETAIL> Nav_Details { get; set; }

        [Description("附件上传")]
        public ICollection<T_PR_SURVEY_RECORD_FILE> Nav_Files { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
    }
}
